#! /bin/sh
#
# autoclean.sh - Shellscript para limpiar los archivos 'autogenerados'.

# Funcion para verificar codificacion UTF-8 en *.po
verifypoenc() {
   if ! grep 'charset=UTF-8' $1 1>/dev/null
   then
      msgconv -t UTF-8 -o $1.t $1
      rm $1
      mv $1.t $1
   fi
}

test ! -f Makefile || make maintainer-clean

# Generados por autoconf
rm -fR autom4te.cache
rm -fR build-aux
rm -fR m4
if [ -d po ]
then
   cp -f po/*.pot .
   cp -f po/*.po .
   for lang in `ls *.po`
   do
      verifypoenc $lang
   done
fi
rm -fR po
rm -f configure

# Generados por aclocal
rm -f aclocal.m4

# Generados por automake
rm -f Makefile.in
rm -f lib/Makefile.in
rm -f src/Makefile.in
rm -f doc/Makefile.in
rm -f man/Makefile.in
rm -f tests/Makefile.in
rm -f woe/Makefile.in
rm -f ABOUT-NLS

# Generados por make
rm -f doc/*.info doc/version.texi doc/stamp-vti
rm -f man/*.1

echo "Remove OK!"
