#! /bin/sh
#
# test2.sh - Un shell-script para probar solvelen
#
# Copyright (C) 2012  Miguel Molina
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

# Funcion de terminacion para shell y subshell
salida(){
    (exit $1)
    exit $1
}

# Funcion para SKIP
salto(){
    echo "$@" 1>&2
    salida 77
}

# Funcion para FAIL
fallo(){
    echo "$@" 1>&2
    salida 1
}

# Verificar perlscript
PERLSCRIPT="$srcdir"/errorRaiz-2.pl
test -e "$PERLSCRIPT" || PERLSCRIPT=
if test -z "$PERLSCRIPT"
then
    fallo "No existe perlscript."
fi

# Verificar solvelen
SOLVELEN=../src/solvelen
test -x "$SOLVELEN" || SOLVELEN=
if test -z "$SOLVELEN"
then
    fallo "No existe solvelen."
fi

# Prueba
xtatus=0
var=`$SOLVELEN -r 1.5 | perl $PERLSCRIPT 2>/dev/null`
if [ "$var" -ne 0 ]
then
    xtatus=1
fi

salida $xtatus
